From 6e042daa57be013bc569e9a56f9acb94ee6e9487 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@penguin.cs.ucla.edu>
Date: Mon, 25 Apr 2016 17:54:36 -0700
Subject: [PATCH] Do not show chars in C-x 8 RET completions

It is way too slow in the common use case of C-x 8 RET TAB.
Problem reported by N. Jackson (Bug#23377).
* lisp/international/mule-cmds.el (mule--ucs-names-annotation):
Remove.  All uses removed.
This reverts 2015-03-25T17:45:34Z!monnier@iro.umontreal.ca.
---
 lisp/international/mule-cmds.el | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

diff --git a/lisp/international/mule-cmds.el b/lisp/international/mule-cmds.el
index dbf1224..c0a0355 100644
--- a/lisp/international/mule-cmds.el
+++ b/lisp/international/mule-cmds.el
@@ -2970,14 +2970,6 @@ ucs-names
 	;; char with that name.
 	(setq ucs-names `(("BELL (BEL)" . 7) ,@names)))))
 
-(defun mule--ucs-names-annotation (name)
-  ;; FIXME: It would be much better to add this annotation before rather than
-  ;; after the char name, so the annotations are aligned.
-  ;; FIXME: The default behavior of displaying annotations in italics
-  ;; doesn't work well here.
-  (let ((char (assoc name ucs-names)))
-    (when char (format " (%c)" (cdr char)))))
-
 (defun read-char-by-name (prompt)
   "Read a character by its Unicode name or hex number string.
 Display PROMPT and read a string that represents a character by its
@@ -3001,9 +2993,7 @@ read-char-by-name
 	   prompt
 	   (lambda (string pred action)
 	     (if (eq action 'metadata)
-		 '(metadata
-		   (annotation-function . mule--ucs-names-annotation)
-		   (category . unicode-name))
+		 '(metadata (category . unicode-name))
 	       (complete-with-action action (ucs-names) string pred)))))
 	 (char
 	  (cond
-- 
2.5.5

